Page MenuHomePhabricator

FanBoxes does not support sqlite as a database backend
Closed, ResolvedPublic

Description

The Jenkins unit tests do not pass because FanBoxes does not support SQLite as a backend:

00:00:03.209 Function: DatabaseBase::sourceFile( /srv/ssd/jenkins-slave/workspace/mwext-FanBoxes-testextensions-master/extensions/FanBoxes/fantag.sql )
00:00:03.209 Error: 1 near "AUTOINCREMENT": syntax error

Should be quite easy to tweak the SQL to be conformant with sqlite.


Version: unspecified
Severity: normal

Details

Reference
bz69970

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:39 AM
bzimport added a project: FanBoxes.
bzimport set Reference to bz69970.
hashar created this task.Aug 25 2014, 9:42 AM
Aklapper triaged this task as Low priority.Jan 21 2015, 5:19 AM
Aklapper added a subscriber: Aklapper.
hashar closed this task as Resolved.Feb 18 2016, 10:43 PM

This one has been fixed at some point. The extension pass tests.

SamanthaNguyen moved this task from Backlog to Bugs on the FanBoxes board.Sep 26 2016, 12:58 AM